Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.net
Interface URLFactory

    public interface URLFactory

`URLFactory` defines a means of obtaining a URL associated with an object. The URL returned may be based on any property of the object, for example its Java class, methods or fields or its `Annotation`. As the criteria by which the URL are created will be highly variable it is left to the implementation to cast the `Object` argument and perform any necessary checks. An implementation may make any additional checks such as applying `PropertyConstraint`s or checking an `AnnotationType`.

An example use case is in obtaining hyperlink target to associate with a sequence hit in a database search which will then be placed in an image map.

Author:
  Keith James

Method Summary
`URL` | `createURL(Object object)` `createURL` returns a URL which is relevant to the object in a way specified by the implementation.

Method Detail

### createURL

    URL createURL(Object object)

  `createURL` returns a URL which is relevant to the object in a way specified by the implementation.

  Parameters:
    `object` - an `Object`.
  Returns:
    a `URL`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD